Debian Bug report logs - #326686
ipodder: fails to start

version graph

Package: ipodder; Maintainer for ipodder is (unknown);

Reported by: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>

Date: Mon, 5 Sep 2005 01:03:02 UTC

Severity: important

Found in version ipodder/2.1-1

Fixed in version ipodder/2.1-2

Done: Hilko Bengen <bengen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipodder: fails to start
Date: Mon, 05 Sep 2005 02:50:46 +0200
Package: ipodder
Version: 2.1-1
Severity: important

Hi. When trying to start ipodder, I've got that crash:

---8<---8<---8<---8<---8<---
$ ipodder
[<class 'ipodder.players.XMMSPlayer'>, <class 'ipodder.players.NoPlayer'>]
Traceback (most recent call last):
  File "/usr/share/ipodder/iPodderGui.py", line 148, in ?
    class MySplashScreen(wx.SplashScreen):
AttributeError: 'module' object has no attribute 'SplashScreen'
---8<---8<---8<---8<---8<---

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages ipodder depends on:
ii  bittorrent                    3.4.2-5    Scatter-gather network file transf
ii  python                        2.3.5-3    An interactive high-level object-o
ii  python-wxgtk2.6               2.6.1.2    wxWidgets Cross-platform C++ GUI t
ii  python-xmms                   2.04-2     Python interface to XMMS

ipodder recommends no packages.

-- no debconf information

Sorry for not having time to search for a workaround.

Cheers,
-- 
Cyril Brulebois



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 326686@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Mon, 05 Sep 2005 12:32:17 +0200
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> writes:

> Package: ipodder
> Version: 2.1-1
> Severity: important
>
> Hi. When trying to start ipodder, I've got that crash:
>
> ---8<---8<---8<---8<---8<---
> $ ipodder
> [<class 'ipodder.players.XMMSPlayer'>, <class 'ipodder.players.NoPlayer'>]
> Traceback (most recent call last):
>   File "/usr/share/ipodder/iPodderGui.py", line 148, in ?
>     class MySplashScreen(wx.SplashScreen):
> AttributeError: 'module' object has no attribute 'SplashScreen'
> ---8<---8<---8<---8<---8<---

Uh. This is strange. Do you have any other version of pygtk
(python-wxgtk2.4?) installed?

Cheers,
-Hilko



Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #15 received at 326686@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Hilko Bengen <bengen@debian.org>
Cc: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Tue, 6 Sep 2005 17:04:25 +0200
[Message part 1 (text/plain, inline)]
Hilko Bengen <bengen@debian.org> (05/09/2005):
> Uh. This is strange. Do you have any other version of pygtk
> (python-wxgtk2.4?) installed?

Hi. Here's what I've got:
(dpkg -l '*wxgtk*' | grep ^ii)
ii  libwxgtk2.4-1              2.4.4.1.1
ii  libwxgtk2.4-1-python       2.4.4
ii  libwxgtk2.6-0              2.6.1.2
ii  libwxgtk2.6-dev            2.6.1.2
ii  python-wxgtk2.6            2.6.1.2

Version 2.6 of libwxgtk entered sid some days ago IIRC.

Cheers,

-- 
Cyril Brulebois
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Jim <Zuralin00@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #20 received at 326686@bugs.debian.org (full text, mbox):

From: Jim <Zuralin00@hotmail.com>
To: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Tue, 06 Sep 2005 14:54:50 -0400
I had the exact same problem, however the following seems to have solved  
the issue:

# apt-get install python-wxgtk2.4

(which in turn removes libwxgtk2.4-python)

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/m2/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 326686@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Jim <Zuralin00@hotmail.com>
Cc: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Tue, 06 Sep 2005 22:51:49 +0200
Jim <Zuralin00@hotmail.com> writes:

> I had the exact same problem, however the following seems to have solved  
> the issue:
>
> # apt-get install python-wxgtk2.4
>
> (which in turn removes libwxgtk2.4-python)

Ah, thank you very much. Since libwxgtk2.4-python is a leftover from
Sarge, it's not a bug in the ipodder package itself, I think.

Cheers,
-Hilko



Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #30 received at 326686@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Hilko Bengen <bengen@debian.org>
Cc: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Wed, 7 Sep 2005 01:10:00 +0200
[Message part 1 (text/plain, inline)]
Hilko Bengen <bengen@debian.org> (05/09/2005):
> Uh. This is strange. Do you have any other version of pygtk
> (python-wxgtk2.4?) installed?

  $ sudo aptitude remove libwxgtk2.4-1-python

solved the problem. I guess that there is some missing version detection
somewhere. Thanks for the tip. iPodder is now running.

Cheers,

-- 
Cyril Brulebois
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Simon Males <sime@anticd.org>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #35 received at 326686@bugs.debian.org (full text, mbox):

From: Simon Males <sime@anticd.org>
To: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Fri, 16 Sep 2005 17:29:15 +1000
I have the same problem. Though unable to remove libwxgtk2.4-python as 
bittorando-gui depends on it. Is this still considered a solution?

(Green at reporting Debian bugs)

-- 
Simon Males <sime@anticd.org>



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#326686; Package ipodder. Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #40 received at 326686@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Simon Males <sime@anticd.org>
Cc: 326686@bugs.debian.org
Subject: Re: Bug#326686: ipodder: fails to start
Date: Fri, 16 Sep 2005 14:13:28 +0200
Simon Males <sime@anticd.org> writes:

> I have the same problem. Though unable to remove libwxgtk2.4-python as 
> bittorando-gui depends on it. Is this still considered a solution?

libwxgtk2.4-python does not exist in unstable any more. This is a bug
with bittorrent-gui. I'm going to file a bug on that.



Reply sent to Hilko Bengen <bengen@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 326686-close@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 326686-close@bugs.debian.org
Subject: Bug#326686: fixed in ipodder 2.1-2
Date: Fri, 16 Sep 2005 07:47:03 -0700
Source: ipodder
Source-Version: 2.1-2

We believe that the bug you reported is fixed in the latest version of
ipodder, which is due to be installed in the Debian FTP archive:

ipodder_2.1-2.diff.gz
  to pool/main/i/ipodder/ipodder_2.1-2.diff.gz
ipodder_2.1-2.dsc
  to pool/main/i/ipodder/ipodder_2.1-2.dsc
ipodder_2.1-2_all.deb
  to pool/main/i/ipodder/ipodder_2.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326686@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hilko Bengen <bengen@debian.org> (supplier of updated ipodder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Sep 2005 16:41:17 +0200
Source: ipodder
Binary: ipodder
Architecture: source all
Version: 2.1-2
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Hilko Bengen <bengen@debian.org>
Description: 
 ipodder    - a podcast receiver
Closes: 326686 328448
Changes: 
 ipodder (2.1-2) unstable; urgency=low
 .
   * Application data has been moved from ~/iPodderData to ~/.ipodder
     (Closes: #328448)
   * Conflicts with libwxgtk2.4-python since iPodder does not start if
     libwxgtk2.4-python is installed (Closes: #326686). Since
     libwxgtk2.4-python has been removed from unstable, the Conflicts
     statement can probably be removed after etch is released.
Files: 
 9883a6c479394c328c0b3f35799174b5 568 net optional ipodder_2.1-2.dsc
 cebe630167fdab69ff49e61d7f683435 4910 net optional ipodder_2.1-2.diff.gz
 2b3ada8b5e33d0ccd127c87413813448 582990 net optional ipodder_2.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDKtnBUCgnLz/SlGgRAvuwAJ40W8gyK6ieZW45442eyjGc0TIM5wCg1BMD
WfnMI7Ln+GEw9QFyCo3PqFg=
=WYpU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 02:04:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:48:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.